%define  patch_name kernel-fix-security-owl

Name: %patch_name
Version: 2003.08.28
Release: alt2.1
Summary: %patch_name kernel patch - openwall security patch
License: GPL
Group: Development/Other
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.3-alt1

%source  0	00_linux-2.4.22-ow1.diff

%source 10	10_shm-destroy-control.patch
%source 11	11_rt-sigreturn-fix.patch
%source 12	12_get_modrm-fix.patch

%description
Openwall patch for Linux kernel

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Fri Jun 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.08.28-alt2.1
- Added:
  + 10_shm-destroy-control.patch: add kernel.shm_destroy_unused sysctl to
    control CONFIG_HARDEN_SHM state at runtime (so it can be turned off to work
    around problems in some badly written programs).

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2003.08.28-alt2
- Use %%source and %%install_patches macros.
- Added:
  + 11_rt-sigreturn-fix.patch: fix MAGIC_RT_SIGRETURN handling.
  + 12_get_modrm-fix.patch: fix GCC trampoline call emulation for addressing
    modes with no index in SIB (e.g. call *0x24(%esp,1)) and absolute base in
    SIB (e.g. call *static_var(%eax,4)).

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.08.28-alt1
- 2.4.22-owl1

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt2
- Removed EXTRAVERSION tag from patch

* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt1
- Update to ow2 patch

* Tue Jun 17 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.06.15-alt1
- Initial build

